// This module is optional!
//
//  NSApp+Delegate-Category.m
//  SubmarineDemo
//
//  Created by MiF on 1/30/09.
//  Copyright 2009 DeepIT. All rights reserved.
//

#import "NSApp+Delegate-Category.h"
#import <Submarine/Submarine.h>

// see  <Submarine/SubmarineDelegate.h> for the details

@implementation NSApplication (SubmarineDelegate)

-(BOOL)submarinePreInstall:(NSMutableDictionary*)versionDictionary
{
	// here we can stop our program activity and ask user to save files
	return YES;// we want to continue the installation
 // or
//	return NO;// we want to cancel the installation by some reason...
}

// YES - show UI, NO - silent
-(BOOL)submarineInstallNewUpdate:(int)build
{
	// here Submarine inform us about new update
	NSLog(@"A new version exists (build %i)...",build);

	return YES;// show SUbmarine UI for ask the user about next Installation steps
	// or
//	return NO;// if we want just to know the fact of new version exists
}

// after a successfull installation (on next version first launch)
-(void)submarinePostInstall
{
	// Hurray! The new version of our product installed successfully!
	[[Submarine sharedSubmarine] checkForUpdates:self];// just for demo
}

@end
